package nextapp.echo2.webrender;

import org.apache.struts.action.ActionForm;

/**
 * Form Bean associating to the <code>WebRendererAction</code>
 * 
 * @author Ludovic DARCOS
 * @version 2.0
 *
 */
public class WebRenderActionForm extends ActionForm{
	
	/** Default serial Id */
	private static final long serialVersionUID = 1L;
	
	private String mServiceId;
	
	private String mImageuid;
	
	public WebRenderActionForm(){
		super();
	}
	
	/** 
	 * Get the Id of the service to launch
	 * @return the requested Id service
	 */
	public String getServiceId(){
		return mServiceId;
	}
	
	/** 
	 * Set the Id of the service to launch
	 * @param the Id service
	 */
	public void setServiceId(String pServiceId){
		mServiceId = pServiceId;
	}
	
	/** 
	 * Get the Id of the image to display
	 * @param the Id image
	 */
	public String getImageuid(){
		return mImageuid;
	}
	/** 
	 * Set the Id of the service to display
	 * @param the Id image
	 */
	public void setImageuid(String pImageuid){
		mImageuid = pImageuid;
	}
}